Уязвимость BDU:2019-04249

Дата: 13.06.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-04249.

Наименование уязвимости: Уязвимость класса LoaderExifJpeg библиотеки для управления метаданными медиафайлов Exiv2, позволяющая нарушителю выполнить произвольный код.

Описание уязвимости: Уязвимость класса LoaderExifJpeg (preview.cpp) библиотеки для управления метаданными медиафайлов Exiv2 вызвана чтением за границами буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить произвольный код
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 17.10 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» | Прикладное ПО информационных систем Exiv2 authors Exiv2 0.26 | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система ООО «РусБИТех-Астра» Astra Linux 2.12 «Орел» |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | Ubuntu 1710 | Ubuntu 1804 LTS | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Astra Linux 212 «Орел» |
Дата выявления: 13.06.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)

Возможные меры по устранению:
Использование рекомендаций:
Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734
Обновление программного обеспечения (пакета exiv2) до 0.25-3.1+deb9u1 или более поздней версии

Для Exiv2:
https://github.com/Exiv2/exiv2/commit/341de4500ab993103c215bfb07d43d4a08654ac4

Для Debian GNU/Linux:
https://www.debian.org/security/2018/dsa-4238
https://lists.debian.org/debian-lts-announce/2018/06/msg00010.html

Для программных продутов Red Hat Inc.:
https://access.redhat.com/errata/RHSA-2019:2101

Для Ubuntu:
https://usn.ubuntu.com/3700-1/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-12265.

Тип ошибки CWE: CWE-125, CWE-190
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734
https://github.com/Exiv2/exiv2/commit/341de4500ab993103c215bfb07d43d4a08654ac4
https://www.debian.org/security/2018/dsa-4238
https://lists.debian.org/debian-lts-announce/2018/06/msg00010.html
https://access.redhat.com/errata/RHSA-2019:2101
https://usn.ubuntu.com/3700-1/
https://github.com/TeamSeri0us/pocs/blob/master/exiv2/1-out-of-read-Poc
https://github.com/Exiv2/exiv2/issues/365
https://nvd.nist.gov/vuln/detail/CVE-2018-12265
https://security.gentoo.org/glsa/201811-14

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *